%define oname   rcov

Name:       ruby-%{oname}
Version:    0.9.9
Release:    %mkrel 3
Summary:    Code coverage analysis tool for Ruby
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://github.com/relevance/rcov
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: ruby-devel
Requires:   ruby(abi) = 1.8

%description
rcov is a code coverage tool for Ruby. It is commonly used for viewing
overall test unit coverage of target code.  It features

  - fast execution (20-300 times faster than previous tools)
  - multiple analysis modes
  - fairly accurate coverage information through code linkage inference using
    simple heuristics
  - XHTML and several kinds of text reports
  - easy automation with Rake via a RcovTask
  - colorblind-friendliness...

%files
%defattr(-, root, root, -)
%{_bindir}/rcov
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/rcovrt.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Jan 26 2011 shikamaru <shikamaru> 0.9.9-3.mga1
+ Revision: 39689
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 0.9.9-2.mga1
+ Revision: 39309
- imported package ruby-rcov


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.9.9-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.9-1mdv2011.0
+ Revision: 623540
- Bump release
- new version 0.9.9
- use %%gem_* macros
- fix License
- fix URLs
- fix file list
- add provides to fix rails dependencies

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.8.0.2-1mdv2008.0
+ Revision: 16741
- BuildRequires ruby-devel
- Import ruby-rcov



* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.8.0.2-1mdv2008.0
- First version
